import * as React from "react";
import { StyleProp, ViewStyle, TextStyle } from "react-native";
import { IMultiSelectionDataType } from "../../MultiGridSingleSelect";
declare type CustomStyleProp = StyleProp<ViewStyle> | Array<StyleProp<ViewStyle>>;
declare type CustomTextStyleProp = StyleProp<TextStyle> | Array<StyleProp<TextStyle>>;
export interface ICardSelectionDataType {
    cardId: number;
    title: string;
    selectedData: ISelectionDataType;
}
export interface ISelectionDataType {
    id: number;
    name: string;
    data?: any;
}
export interface ICardProps {
    cardStyle?: CustomStyleProp;
    headerStyle?: CustomStyleProp;
    headerTextStyle?: CustomTextStyleProp;
    cardData?: IMultiSelectionDataType;
    onSelectOption?: (selectedOption: ICardSelectionDataType) => void;
}
declare const Card: React.FC<ICardProps>;
export default Card;
