"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const react_native_1 = require("react-native");
/**
 * ? Local Imports
 */
const Card_style_1 = tslib_1.__importDefault(require("./Card.style"));
const SelectButton_1 = tslib_1.__importDefault(require("../SelectButton/SelectButton"));
const Card = ({ cardStyle, cardData, onSelectOption, headerStyle, headerTextStyle, ...rest }) => {
    const [selectedItem, setSelectedItem] = React.useState(undefined);
    const handleOnSelectItem = (item) => {
        setSelectedItem(item);
        const selectedData = {
            cardId: cardData.cardId,
            title: cardData.title,
            selectedData: item,
        };
        onSelectOption && onSelectOption(selectedData);
    };
    const renderButton = (data) => {
        const { id, name } = data.item;
        const isActive = id === selectedItem?.id;
        return (<SelectButton_1.default {...rest} buttonText={name} isActive={isActive} onPress={() => handleOnSelectItem(data.item)}/>);
    };
    const renderHeader = () => (<react_native_1.View style={[Card_style_1.default.headerStyle, headerStyle]}>
      <react_native_1.Text style={[Card_style_1.default.headerTextStyle, headerTextStyle]}>
        {cardData.title}
      </react_native_1.Text>
    </react_native_1.View>);
    const renderList = () => (<react_native_1.FlatList data={cardData.data} renderItem={renderButton} contentContainerStyle={Card_style_1.default.listContentContainerStyle} keyExtractor={(item) => `${item.id}`}/>);
    return (<react_native_1.View style={[Card_style_1.default.container, cardStyle]}>
      {renderHeader()}
      {renderList()}
    </react_native_1.View>);
};
exports.default = Card;
//# sourceMappingURL=Card.js.map